#include "dotlabel.h"
#include <QPainter>
#include <QPalette>

Dotlabel::Dotlabel(const QSize &size, QWidget *parent):
    mSize(size),
    QLabel(parent)
{

}

void Dotlabel::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    painter.setRenderHint(QPainter::Antialiasing);  // 反锯齿;
    painter.setClipping(true);
    painter.setPen(Qt::transparent);

    QPainterPath path;
    path.addEllipse(0, 0, mSize.width(), mSize.height());
    painter.setClipPath(path);

    QPalette pal;
    painter.setBrush(pal.highlight());
    painter.drawRoundedRect(this->rect(), 0, 0);

    return QLabel::paintEvent(event);
}
